<?php

namespace EventPortal\Domain\Event\ValueObjects;

use EventPortal\Domain\Event\Models\Event;

class EventDetails
{
    /** @var string */
    public $name;

    /** @var string */
    public $description;

    /** @var string */
    public $date;

    public function __construct(Event $event)
    {
        $this->name = $event->name;
        $this->description = $event->description;
        $this->date = $event->readable_dates;
    }

    public static function make(Event $event): self
    {
        return new self($event);
    }

    public function toArray(): array
    {
        return [
            'name' => $this->name,
            'description' => $this->description,
            'date' => $this->date,
        ];
    }
}
