<?php

namespace EventPortal\Http\Controllers\Delegate\Event;

use EventPortal\Domain\Agenda\AgendasForDelegate;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Event\ValueObjects\EventDetails;
use EventPortal\Domain\Event\ValueObjects\PageHeader;
use EventPortal\Domain\Util\DelegateRender;
use EventPortal\Http\Controllers\Controller;
use Inertia\Response;

class AgendaController extends Controller
{
    public function __invoke(Event $event): Response
    {
        return DelegateRender::component('Delegate/Agenda/Index')
            ->withPageHeader(
                PageHeader::make()
                    ->title('Agenda')
                    ->description('Lorem ipsum dolor sit amet, consectetur adipiscing elit.')
            )
            ->withEventDetails(EventDetails::make($event))
            ->withData([
                'agenda' => AgendasForDelegate::get(auth()->user()->delegate, $event),
            ])
            ->get();
    }
}
