<?php

namespace EventPortal\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class SendPreviewEmailRequest extends FormRequest
{
    public function authorize(): bool
    {
        return auth()->check();
    }

    public function rules(): array
    {
        return [
            'recipients.*' => [
                'required',
                'email',
            ],
        ];
    }

    public function messages(): array
    {
        return [
            'recipients.*.email' => 'Please ensure :input is a valid email address.',
        ];
    }

    protected function prepareForValidation(): void
    {
        $this->merge([
            'recipients' => explode(',', $this->recipients),
        ]);
    }
}
