<?php

namespace EventPortal\Tests\Unit\EventDelegate\Models;

use EventPortal\Domain\Component\Option;
use EventPortal\Domain\Event\Enums\DelegateStatus;
use EventPortal\Domain\Event\Models\EventDelegate;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\RefreshDatabase;

class EventDelegateTest extends TestCase
{
    use RefreshDatabase;

    /** @test **/
    public function can_scope_for_event_and_delegate()
    {
        $eventDelegate = factory(EventDelegate::class)->create();

        $actual = EventDelegate::forEventAndDelegate($eventDelegate->event, $eventDelegate->delegate)->first();

        $this->assertSameModel(EventDelegate::first(), $actual);
    }
}
